return {
  'nvim-lualine/lualine.nvim',
  dependencies = {
    'nvim-tree/nvim-web-devicons',
    'Isrothy/lualine-diagnostic-message',
  },
  config = function()
    require('lualine').setup({
      options = {
        theme = 'auto',
        disabled_filetypes = {
          statusline = {},
          winbar = { 'dap-repl', 'dapui_console' },
        },
        section_separators = { left = '', right = '' },
        component_separators = { left = '', right = '' },
      },
      globalstatus = true,
      extensions = { 'oil', 'toggleterm' },
      sections = {
        lualine_b = {
          'branch',
          'diff',
          {
            'diagnostics',
            sources = { 'nvim_diagnostic' },
          },
        },
        lualine_c = {
          {
            'getcwd',
          },
          {
            'filename',
            path = 1,
            file_status = true,
          },
          {
            function() return require('nvim-navic').get_location() end,
            cond = function() return package.loaded['nvim-navic'] and require('nvim-navic').is_available() end,
          },
        },
        lualine_y = {
          'searchcount',
          'progress',
        },
      },
      inactive_sections = {
        lualine_c = {
          'getcwd',
          {
            'filename',
            path = 1,
            file_status = true,
          },
        },
      },
      tabline = {
        lualine_a = {},
        lualine_b = {},
        lualine_c = {
          {
            'tabs',
            mode = 2,
            tabs_color = {
              -- Same values as the general color option can be used here.
              active = { bg = 'orange', fg = 'black' },
              inactive = { bg = 'grey', fg = 'black' },
            },
          },
        },
        lualine_x = {},
        lualine_y = {},
        lualine_z = {},
      },
    })
  end,
  enabled = true,
}
